package com.mortals.xhx.module.access.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.access.model.AccessSystemEntity;
/**
* 区域接入系统查询对象
*
* @author zxfei
* @date 2024-07-02
*/
public class AccessSystemQuery extends AccessSystemEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 接入区域ID */
    private Long accessIdStart;

    /** 结束 接入区域ID */
    private Long accessIdEnd;

    /** 增加 接入区域ID */
    private Long accessIdIncrement;

    /** 接入区域ID列表 */
    private List <Long> accessIdList;

    /** 接入区域ID排除列表 */
    private List <Long> accessIdNotList;

    /** 接入系统名称 */
    private List<String> systemNameList;

    /** 接入系统名称排除列表 */
    private List <String> systemNameNotList;
    /** 接入系统编码 */
    private List<String> systemCodeList;

    /** 接入系统编码排除列表 */
    private List <String> systemCodeNotList;
    /** 开始 启用状态 (0.停止，1.启用) */
    private Integer enabledStart;

    /** 结束 启用状态 (0.停止，1.启用) */
    private Integer enabledEnd;

    /** 增加 启用状态 (0.停止，1.启用) */
    private Integer enabledIncrement;

    /** 启用状态 (0.停止，1.启用)列表 */
    private List <Integer> enabledList;

    /** 启用状态 (0.停止，1.启用)排除列表 */
    private List <Integer> enabledNotList;

    /** 开始 接入开通时间 */
    private String accessTimeStart;

    /** 结束 接入开通时间 */
    private String accessTimeEnd;

    /** 开始 排序 */
    private Integer sortStart;

    /** 结束 排序 */
    private Integer sortEnd;

    /** 增加 排序 */
    private Integer sortIncrement;

    /** 排序列表 */
    private List <Integer> sortList;

    /** 排序排除列表 */
    private List <Integer> sortNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AccessSystemQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AccessSystemQuery> andConditionList;

    public AccessSystemQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 接入区域ID
    * @return accessIdStart
    */
    public Long getAccessIdStart(){
        return this.accessIdStart;
    }

    /**
    * 设置 开始 接入区域ID
    * @param accessIdStart
    */
    public void setAccessIdStart(Long accessIdStart){
        this.accessIdStart = accessIdStart;
    }

    /**
    * 获取 结束 接入区域ID
    * @return $accessIdEnd
    */
    public Long getAccessIdEnd(){
        return this.accessIdEnd;
    }

    /**
    * 设置 结束 接入区域ID
    * @param accessIdEnd
    */
    public void setAccessIdEnd(Long accessIdEnd){
        this.accessIdEnd = accessIdEnd;
    }

    /**
    * 获取 增加 接入区域ID
    * @return accessIdIncrement
    */
    public Long getAccessIdIncrement(){
        return this.accessIdIncrement;
    }

    /**
    * 设置 增加 接入区域ID
    * @param accessIdIncrement
    */
    public void setAccessIdIncrement(Long accessIdIncrement){
        this.accessIdIncrement = accessIdIncrement;
    }

    /**
    * 获取 接入区域ID
    * @return accessIdList
    */
    public List<Long> getAccessIdList(){
        return this.accessIdList;
    }

    /**
    * 设置 接入区域ID
    * @param accessIdList
    */
    public void setAccessIdList(List<Long> accessIdList){
        this.accessIdList = accessIdList;
    }

    /**
    * 获取 接入区域ID
    * @return accessIdNotList
    */
    public List<Long> getAccessIdNotList(){
        return this.accessIdNotList;
    }

    /**
    * 设置 接入区域ID
    * @param accessIdNotList
    */
    public void setAccessIdNotList(List<Long> accessIdNotList){
        this.accessIdNotList = accessIdNotList;
    }


    /**
    * 获取 接入系统名称
    * @return systemNameList
    */
    public List<String> getSystemNameList(){
        return this.systemNameList;
    }

    /**
    * 设置 接入系统名称
    * @param systemNameList
    */
    public void setSystemNameList(List<String> systemNameList){
        this.systemNameList = systemNameList;
    }

    /**
    * 获取 接入系统名称
    * @return systemNameNotList
    */
    public List<String> getSystemNameNotList(){
        return this.systemNameNotList;
    }

    /**
    * 设置 接入系统名称
    * @param systemNameNotList
    */
    public void setSystemNameNotList(List<String> systemNameNotList){
        this.systemNameNotList = systemNameNotList;
    }

    /**
    * 获取 接入系统编码
    * @return systemCodeList
    */
    public List<String> getSystemCodeList(){
        return this.systemCodeList;
    }

    /**
    * 设置 接入系统编码
    * @param systemCodeList
    */
    public void setSystemCodeList(List<String> systemCodeList){
        this.systemCodeList = systemCodeList;
    }

    /**
    * 获取 接入系统编码
    * @return systemCodeNotList
    */
    public List<String> getSystemCodeNotList(){
        return this.systemCodeNotList;
    }

    /**
    * 设置 接入系统编码
    * @param systemCodeNotList
    */
    public void setSystemCodeNotList(List<String> systemCodeNotList){
        this.systemCodeNotList = systemCodeNotList;
    }

    /**
    * 获取 开始 启用状态 (0.停止，1.启用)
    * @return enabledStart
    */
    public Integer getEnabledStart(){
        return this.enabledStart;
    }

    /**
    * 设置 开始 启用状态 (0.停止，1.启用)
    * @param enabledStart
    */
    public void setEnabledStart(Integer enabledStart){
        this.enabledStart = enabledStart;
    }

    /**
    * 获取 结束 启用状态 (0.停止，1.启用)
    * @return $enabledEnd
    */
    public Integer getEnabledEnd(){
        return this.enabledEnd;
    }

    /**
    * 设置 结束 启用状态 (0.停止，1.启用)
    * @param enabledEnd
    */
    public void setEnabledEnd(Integer enabledEnd){
        this.enabledEnd = enabledEnd;
    }

    /**
    * 获取 增加 启用状态 (0.停止，1.启用)
    * @return enabledIncrement
    */
    public Integer getEnabledIncrement(){
        return this.enabledIncrement;
    }

    /**
    * 设置 增加 启用状态 (0.停止，1.启用)
    * @param enabledIncrement
    */
    public void setEnabledIncrement(Integer enabledIncrement){
        this.enabledIncrement = enabledIncrement;
    }

    /**
    * 获取 启用状态 (0.停止，1.启用)
    * @return enabledList
    */
    public List<Integer> getEnabledList(){
        return this.enabledList;
    }

    /**
    * 设置 启用状态 (0.停止，1.启用)
    * @param enabledList
    */
    public void setEnabledList(List<Integer> enabledList){
        this.enabledList = enabledList;
    }

    /**
    * 获取 启用状态 (0.停止，1.启用)
    * @return enabledNotList
    */
    public List<Integer> getEnabledNotList(){
        return this.enabledNotList;
    }

    /**
    * 设置 启用状态 (0.停止，1.启用)
    * @param enabledNotList
    */
    public void setEnabledNotList(List<Integer> enabledNotList){
        this.enabledNotList = enabledNotList;
    }


    /**
    * 获取 开始 接入开通时间
    * @return accessTimeStart
    */
    public String getAccessTimeStart(){
        return this.accessTimeStart;
    }

    /**
    * 设置 开始 接入开通时间
    * @param accessTimeStart
    */
    public void setAccessTimeStart(String accessTimeStart){
        this.accessTimeStart = accessTimeStart;
    }

    /**
    * 获取 结束 接入开通时间
    * @return accessTimeEnd
    */
    public String getAccessTimeEnd(){
        return this.accessTimeEnd;
    }

    /**
    * 设置 结束 接入开通时间
    * @param accessTimeEnd
    */
    public void setAccessTimeEnd(String accessTimeEnd){
        this.accessTimeEnd = accessTimeEnd;
    }

    /**
    * 获取 开始 排序
    * @return sortStart
    */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
    * 设置 开始 排序
    * @param sortStart
    */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
    * 获取 结束 排序
    * @return $sortEnd
    */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
    * 获取 增加 排序
    * @return sortIncrement
    */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
    * 获取 排序
    * @return sortList
    */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
    * 设置 排序
    * @param sortList
    */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }

    /**
    * 获取 排序
    * @return sortNotList
    */
    public List<Integer> getSortNotList(){
        return this.sortNotList;
    }

    /**
    * 设置 排序
    * @param sortNotList
    */
    public void setSortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public AccessSystemQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public AccessSystemQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public AccessSystemQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public AccessSystemQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public AccessSystemQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public AccessSystemQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  接入区域ID
    * @param accessId
    */
    public AccessSystemQuery accessId(Long accessId){
	    setAccessId(accessId);
		return this;
    }
	
	 /**
    * 设置 开始 接入区域ID
    * @param accessIdStart
    */
    public AccessSystemQuery accessIdStart(Long accessIdStart){
		this.accessIdStart = accessIdStart;
		return this;
    }

    /**
    * 设置 结束 接入区域ID
    * @param accessIdEnd
    */
    public AccessSystemQuery accessIdEnd(Long accessIdEnd){
		this.accessIdEnd = accessIdEnd;
		return this;
    }

    /**
    * 设置 增加 接入区域ID
    * @param accessIdIncrement
    */
    public AccessSystemQuery accessIdIncrement(Long accessIdIncrement){
		this.accessIdIncrement = accessIdIncrement;
		return this;
    }

    /**
    * 设置 接入区域ID
    * @param accessIdList
    */
    public AccessSystemQuery accessIdList(List<Long> accessIdList){
        this.accessIdList = accessIdList;
		return this;
        }

        /**
        * 设置 接入区域ID
        * @param accessIdNotList
        */
        public AccessSystemQuery accessIdNotList(List<Long> accessIdNotList){
        this.accessIdNotList = accessIdNotList;
        return this;
        }


	/**
    * 设置 接入系统名称
    * @param systemName
    */
    public AccessSystemQuery systemName(String systemName){
        setSystemName(systemName);
		return this;
    }

    /**
    * 设置 接入系统名称
    * @param systemNameList
    */
    public AccessSystemQuery systemNameList(List<String> systemNameList){
        this.systemNameList = systemNameList;
		return this;
    }


	/**
    * 设置 接入系统编码
    * @param systemCode
    */
    public AccessSystemQuery systemCode(String systemCode){
        setSystemCode(systemCode);
		return this;
    }

    /**
    * 设置 接入系统编码
    * @param systemCodeList
    */
    public AccessSystemQuery systemCodeList(List<String> systemCodeList){
        this.systemCodeList = systemCodeList;
		return this;
    }

    /**
    * 设置  启用状态 (0.停止，1.启用)
    * @param enabled
    */
    public AccessSystemQuery enabled(Integer enabled){
	    setEnabled(enabled);
		return this;
    }
	
	 /**
    * 设置 开始 启用状态 (0.停止，1.启用)
    * @param enabledStart
    */
    public AccessSystemQuery enabledStart(Integer enabledStart){
		this.enabledStart = enabledStart;
		return this;
    }

    /**
    * 设置 结束 启用状态 (0.停止，1.启用)
    * @param enabledEnd
    */
    public AccessSystemQuery enabledEnd(Integer enabledEnd){
		this.enabledEnd = enabledEnd;
		return this;
    }

    /**
    * 设置 增加 启用状态 (0.停止，1.启用)
    * @param enabledIncrement
    */
    public AccessSystemQuery enabledIncrement(Integer enabledIncrement){
		this.enabledIncrement = enabledIncrement;
		return this;
    }

    /**
    * 设置 启用状态 (0.停止，1.启用)
    * @param enabledList
    */
    public AccessSystemQuery enabledList(List<Integer> enabledList){
        this.enabledList = enabledList;
		return this;
        }

        /**
        * 设置 启用状态 (0.停止，1.启用)
        * @param enabledNotList
        */
        public AccessSystemQuery enabledNotList(List<Integer> enabledNotList){
        this.enabledNotList = enabledNotList;
        return this;
        }


    /**
    * 设置  排序
    * @param sort
    */
    public AccessSystemQuery sort(Integer sort){
	    setSort(sort);
		return this;
    }
	
	 /**
    * 设置 开始 排序
    * @param sortStart
    */
    public AccessSystemQuery sortStart(Integer sortStart){
		this.sortStart = sortStart;
		return this;
    }

    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public AccessSystemQuery sortEnd(Integer sortEnd){
		this.sortEnd = sortEnd;
		return this;
    }

    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public AccessSystemQuery sortIncrement(Integer sortIncrement){
		this.sortIncrement = sortIncrement;
		return this;
    }

    /**
    * 设置 排序
    * @param sortList
    */
    public AccessSystemQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
		return this;
        }

        /**
        * 设置 排序
        * @param sortNotList
        */
        public AccessSystemQuery sortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public AccessSystemQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public AccessSystemQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AccessSystemQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AccessSystemQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AccessSystemQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AccessSystemQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AccessSystemQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public AccessSystemQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AccessSystemQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AccessSystemQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AccessSystemQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AccessSystemQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}